# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get the status of a Push to Card payment In this tutorial, you learn how to get the status of a Push to Card payment. > The Global Payments API supports [callbacks](/docs/treasury/global-payments/capabilities/global-payments-2/callbacks) for automatic status updates. > ## Before you begin To get the status of a Push to Card payment, you need the following: - A [registered and fully onboarded Developer Account](/docs/quick-start) on the J.P. Morgan Payments Developer Portal. - An active project that provides you with the credentials to make a request. - A paymentId provided in a successful Push to Card payment response. ## Send a request Request payloads for the Global Payments API contain optional and required fields. Use the `paymentId` to retrieve Push to Card payment information. The following example shows how to send a `GET` request to retrieve the status or full details of a Push to Card payment. ### Retrieve Push to Card payment status To get the status of a payment, send a `GET` request to the `/payments` endpoint with your `paymentId`. The response will be in `SUMMARY` view by default, though you may specify `view=SUMMARY` if preferred. ```curl curl \ --request GET \ --url https://api.payments.jpmorgan.com/payment/v2/payments/{98275a2d-1e88-beed-6938-0521a7e0uptc} \ --header 'Accept: application/json' \ --header 'Request-Id: 1a2b3c4d-5e6f-7g8h-9i0j-1121a3m5o6p' ``` The following response will include the current status of your Push to Card payment: ```json { "paymentId": "98275a2d-1e88-beed-6938-0521a7e0uptc ", "paymentStatus": "PROCESSING", "statusUpdatedAt": "2024-10-30T14:15:22Z", "requestedExecutionDate": "2024-10-30", "paymentIdentifiers": { "endToEndId": "1lv9t9e02zg113154100" }, "transferType": "CREDIT", "paymentType": "CARD" } ``` ### Retrieve Push to Card payment details (FULL view) To get the full details of a Push to Card payment, send a `GET` request to the `/payments/{paymentId}` endpoint and specify `view=FULL`: ```curl curl \ --request GET \ --url https://api.payments.jpmorgan.com/payment/v2/payments/{98275a2d-1e88-beed-6938-0521a7e0uptc?view=FULL } \ --header 'Accept: application/json' \ --header 'Request-Id: 1a2b3c4d-5e6f-7g8h-9i0j-1121a3m5o6p' ``` The following response will include all available details for your Push to Card payment: ```json { "paymentId": "98275a2d-1e88-beed-6938-0521a7e0uptc", "paymentStatus": "PROCESSING", "statusUpdatedAt": "2024-10-30T14:15:22Z", "requestedExecutionDate": "2024-10-30", "paymentIdentifiers": { "endToEndId": "1lv9t9e02zg113154100" }, "transferType": "CREDIT", "value": { "currency": "USD", "amount": "750" }, "paymentType": "CARD", "debtor": { "name": "John Doe", "account": { "alternateAccountIdentifiers": [ { "identifier": "TESTIUS", "idType": "PROGRAM_ID" } ] } }, "debtorAgent": { "financialInstitutionIds": [ { "id": "CHASUS33", "idType": "BIC" } ] }, "creditor": { "name": "Jane Doe", "account": { "card": { "pan": "4037110019999999", "expiryDate": "2207" } } }, "remittanceInformation": { "unstructuredInformation": [ { "text": "Invoice#012345" } ] } } ``` ## Related - For more information about Push to Card payment parameters, see [Payment parameters](/docs/treasury/global-payments/capabilities/global-payments-2/push-to-card/payment-parameters). - For more information about the status responses and error codes supported by the Global Payments API, see [Global Payments 2 status responses and error codes](/api/treasury/global-payments/global-payments-2/error-codes).